> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payem.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a user



## OpenAPI

````yaml /openapi/partner-schema.yml get /api/partner/v1/users/{id}
openapi: 3.0.3
info:
  title: PayEm Partner API
  version: '1.0'
servers:
  - url: https://app.payemcard.com
    description: Production
  - url: https://stage.payemcard.com
    description: Staging
security: []
paths:
  /api/partner/v1/users/{id}:
    get:
      tags:
        - users
      summary: Get a user
      operationId: api_partner_v1_users_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          headers:
            X-Trace-Id:
              schema:
                type: string
              description: >-
                Unique identifier for tracing this request through PayEm
                systems.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
          description: ''
      security:
        - PayemOAuthAccessToken: []
components:
  schemas:
    UserResponse:
      type: object
      properties:
        id:
          type: integer
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        mobile:
          type: string
        subsidiary_id:
          type: integer
      required:
        - email
        - first_name
        - id
        - last_name
        - mobile
        - subsidiary_id
  securitySchemes:
    PayemOAuthAccessToken:
      type: http
      scheme: bearer
      description: Short-lived OAuth 2.0 access token. Tokens expire after five minutes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.